Package org.apache.datasketches.tuple.aninteger

# Enum Class IntegerSummary.Mode

java.lang.Object
java.lang.Enum<IntegerSummary.Mode>
org.apache.datasketches.tuple.aninteger.IntegerSummary.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<IntegerSummary.Mode>`, `Constable`

Enclosing class:
  IntegerSummary

public static enum IntegerSummary.Mode extends Enum<IntegerSummary.Mode>
The aggregation modes for this Summary

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AlwaysOne`
The aggregation mode is always one.
`Max`
The aggregation mode is the maximum function.
`Min`
The aggregation mode is the minimum function.
`Sum`
The aggregation mode is the summation function.

## Method Summary

Modifier and Type
Method
Description
`static IntegerSummary.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntegerSummary.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Sum

public static final IntegerSummary.Mode Sum
The aggregation mode is the summation function.

New retained value = previous retained value + incoming value

### Min

public static final IntegerSummary.Mode Min
The aggregation mode is the minimum function.

New retained value = min(previous retained value, incoming value)

### Max

public static final IntegerSummary.Mode Max
The aggregation mode is the maximum function.

New retained value = max(previous retained value, incoming value)

### AlwaysOne

public static final IntegerSummary.Mode AlwaysOne
The aggregation mode is always one.

New retained value = 1

## Method Details

### values

public static IntegerSummary.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IntegerSummary.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null